From 4a157701ad3fae7fed67a92a9d9359dd36f08341 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?K=C3=A5re=20S=C3=A4rs?= <kare.sars@iki.fi>
Date: Tue, 12 Dec 2017 07:24:53 +0200
Subject: Remove obsolete QScript includes from CMake files

Differential Revision: https://phabricator.kde.org/D9291
---
 CMakeLists.txt                 | 2 +-
 addons/katesql/CMakeLists.txt  | 2 +-
 addons/project/CMakeLists.txt  | 2 +-
 addons/search/CMakeLists.txt   | 2 +-
 addons/snippets/CMakeLists.txt | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 1fc7d3e..b746376 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -32,7 +32,7 @@ include (CheckFunctionExists)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Widgets Script Sql)
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core DBus Widgets Sql)
 
 if(BUILD_TESTING)
   find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
diff --git a/addons/katesql/CMakeLists.txt b/addons/katesql/CMakeLists.txt
index aba9a38..c4fee13 100644
--- a/addons/katesql/CMakeLists.txt
+++ b/addons/katesql/CMakeLists.txt
@@ -32,6 +32,6 @@ kcoreaddons_desktop_to_json (katesqlplugin katesql.desktop)
 target_link_libraries(katesqlplugin
     KF5::TextEditor
     KF5::Parts KF5::I18n KF5::Wallet
-    Qt5::Script Qt5::Sql KF5::ItemViews KF5::IconThemes)
+    Qt5::Sql KF5::ItemViews KF5::IconThemes)
 
 install(TARGETS katesqlplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor )
diff --git a/addons/project/CMakeLists.txt b/addons/project/CMakeLists.txt
index 6787197..12a0ff7 100644
--- a/addons/project/CMakeLists.txt
+++ b/addons/project/CMakeLists.txt
@@ -38,7 +38,7 @@ target_link_libraries(kateprojectplugin
     KF5::TextEditor
     KF5::Parts KF5::I18n
     KF5::GuiAddons
-    Qt5::Script KF5::ItemViews KF5::ItemModels KF5::IconThemes KF5::ThreadWeaver
+    KF5::ItemViews KF5::ItemModels KF5::IconThemes KF5::ThreadWeaver
     KF5::NewStuff # For KMoreTools
 )
 
diff --git a/addons/search/CMakeLists.txt b/addons/search/CMakeLists.txt
index d86c326..856221f 100644
--- a/addons/search/CMakeLists.txt
+++ b/addons/search/CMakeLists.txt
@@ -19,6 +19,6 @@ kcoreaddons_desktop_to_json (katesearchplugin katesearch.desktop)
 target_link_libraries(katesearchplugin
     KF5::TextEditor
     KF5::Parts KF5::I18n KF5::IconThemes
-    Qt5::Script KF5::ItemViews)
+    KF5::ItemViews)
 
 install(TARGETS katesearchplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)
diff --git a/addons/snippets/CMakeLists.txt b/addons/snippets/CMakeLists.txt
index a19277e..4182866 100644
--- a/addons/snippets/CMakeLists.txt
+++ b/addons/snippets/CMakeLists.txt
@@ -29,6 +29,6 @@ kcoreaddons_desktop_to_json (katesnippetsplugin katesnippetsplugin.desktop)
 target_link_libraries(katesnippetsplugin
     KF5::TextEditor
     KF5::Parts KF5::I18n
-    KF5::NewStuff Qt5::Script KF5::ItemViews KF5::IconThemes)
+    KF5::NewStuff KF5::ItemViews KF5::IconThemes)
 
 install(TARGETS katesnippetsplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor )
-- 
cgit v0.11.2

